#import <Cocoa/Cocoa.h>

@interface AppController : NSObject {
	NSMutableString *curString;
	NSString* dataArray[3][2];
	
	IBOutlet NSTextField* displayString;
	IBOutlet NSTableView* wordList;
	IBOutlet NSMatrix* subjectMatrix;
	IBOutlet NSComboBox* adverbSelecter;
	IBOutlet NSColorWell* colorWell;
	IBOutlet NSSlider* alignSlider;
	IBOutlet NSButton* notChecker;
	IBOutlet NSProgressIndicator* progressBar;	
}

- (int)numberOfRowsInTableView:(NSTableView *)tableView;
- (id)tableView:(NSTableView *)tableView
	objectValueForTableColumn:(NSTableColumn *)tableColumn 
			row:(int)row;

- (IBAction)setDisplayText:(id)sender;
- (IBAction)adverbSelecterChanged:(id)sender;
- (IBAction)alignSliderChanged:(id)sender;
- (IBAction)notCheckerChanged:(id)sender;
- (IBAction)subjectMatrixChanged:(id)sender;
- (IBAction)colorWellChanged:(id)sender;
- (IBAction)wordListChanged:(id)sender; 
@end
